{-# LANGUAGE OverloadedStrings #-}

import Data.GI.CodeGen.CabalHooks (setupBinding, TaggedOverride(..))

import qualified GI.Atk.Config as Atk
import qualified GI.GLib.Config as GLib
import qualified GI.GObject.Config as GObject
import qualified GI.Gdk.Config as Gdk
import qualified GI.Gio.Config as Gio
import qualified GI.Gtk.Config as Gtk
import qualified GI.JavaScriptCore.Config as JavaScriptCore
import qualified GI.Soup.Config as Soup
import qualified GI.Cairo.Config as Cairo


main :: IO ()
main = setupBinding name version verbose overridesFile inheritedOverrides outputDir
  where name = "WebKit2"
        version = "4.0"
        overridesFile = Just "WebKit2.overrides"
        verbose = False
        outputDir = Nothing
        inheritedOverrides = [TaggedOverride "inherited:Atk" Atk.overrides, TaggedOverride "inherited:GLib" GLib.overrides, TaggedOverride "inherited:GObject" GObject.overrides, TaggedOverride "inherited:Gdk" Gdk.overrides, TaggedOverride "inherited:Gio" Gio.overrides, TaggedOverride "inherited:Gtk" Gtk.overrides, TaggedOverride "inherited:JavaScriptCore" JavaScriptCore.overrides, TaggedOverride "inherited:Soup" Soup.overrides, TaggedOverride "inherited:Cairo" Cairo.overrides]
